//startup_page.dart
import 'package:flutter/material.dart';

import 'package:mobile_application_kids/game1/ui/widgets/game_options.dart';
import 'package:mobile_application_kids/game1/utils/constants.dart';
import 'package:mobile_application_kids/games.dart';

class StartUpPage extends StatelessWidget {
  const StartUpPage({Key? key}) : super(key: key); // Fix super key

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: SafeArea(
        child: Center(
          child: Column(
            mainAxisAlignment: MainAxisAlignment.spaceEvenly,
            crossAxisAlignment: CrossAxisAlignment.center,
            children: [
              Text(
                gameTitle,
                style: TextStyle(fontSize: 24, color: Colors.white),
              ),
              GameOptions(),
              ElevatedButton(
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(builder: (context) => GamesPage()),
                  );
                },
                child: Text('Quit'), // Add quit button
              ),
            ],
          ),
        ),
      ),
    );
  }
}
